Get list of template folders (cursor-paginated)
curl --request GET \
--url https://api.fanvue.com/v1/chats/templates/folders \
--header 'Authorization: Bearer <token>' \
--header 'X-Fanvue-API-Version: <x-fanvue-api-version>'import requests
url = "https://api.fanvue.com/v1/chats/templates/folders"
headers = {
"X-Fanvue-API-Version": "<x-fanvue-api-version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'X-Fanvue-API-Version': '<x-fanvue-api-version>',
Authorization: 'Bearer <token>'
}
};
fetch('https://api.fanvue.com/v1/chats/templates/folders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"uuid": "b0a1c2d3-e4f5-6789-abcd-ef0123456789",
"name": "Welcome Messages"
},
{
"uuid": "c1b2a3d4-f5e6-7890-bcde-f01234567890",
"name": "Promotions"
}
],
"nextCursor": null,
"total": null
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>",
"message": "<string>",
"nextVersion": "<string>"
}{
"error": "<string>"
}Templates
Get list of template folders (cursor-paginated)
Returns a cursor-paginated list of the creator’s template folders. Use a folder UUID when creating a template with POST /chats/templates. Page with the opaque nextCursor from the previous response. total is not computed for this list and is always null.
GET
/
v1
/
chats
/
templates
/
folders
Get list of template folders (cursor-paginated)
curl --request GET \
--url https://api.fanvue.com/v1/chats/templates/folders \
--header 'Authorization: Bearer <token>' \
--header 'X-Fanvue-API-Version: <x-fanvue-api-version>'import requests
url = "https://api.fanvue.com/v1/chats/templates/folders"
headers = {
"X-Fanvue-API-Version": "<x-fanvue-api-version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'X-Fanvue-API-Version': '<x-fanvue-api-version>',
Authorization: 'Bearer <token>'
}
};
fetch('https://api.fanvue.com/v1/chats/templates/folders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"uuid": "b0a1c2d3-e4f5-6789-abcd-ef0123456789",
"name": "Welcome Messages"
},
{
"uuid": "c1b2a3d4-f5e6-7890-bcde-f01234567890",
"name": "Promotions"
}
],
"nextCursor": null,
"total": null
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>",
"message": "<string>",
"nextVersion": "<string>"
}{
"error": "<string>"
}Required scope
read:chat— Read chat conversations, messages, and chat-related data. This includes viewing chat lists and message history.
Authorizations
OAuth 2.0 access token, presented as a JWT bearer token in the Authorization header. Obtain a token via the authorization-code flow; the scopes granted to the token determine which operations it may call.
Headers
API version to use for the request
Example:
"2025-06-26"
Query Parameters
Opaque pagination cursor from a previous response's nextCursor. Omit to fetch the first page.
Number of items to return (1-50, default: 15)
Required range:
1 <= x <= 50Response
List of template folders
Was this page helpful?